# Class LinkPermission

java.lang.Object
java.security.Permission
java.security.BasicPermission
java.nio.file.LinkPermission

All Implemented Interfaces:
  `Serializable`, `Guard`

public final class LinkPermission extends BasicPermission
The `Permission` class for link creation operations.

API Note:
  This permission cannot be used for controlling access to resources as the Security Manager is no longer supported.
Since:
  1.7
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`LinkPermission(String name)`
Constructs a `LinkPermission` with the specified name.
`LinkPermission(String name, String actions)`
Constructs a `LinkPermission` with the specified name.

## Method Summary

### Methods declared in class java.security.BasicPermission

`equals, getActions, hashCode, implies, newPermissionCollection`

### Methods declared in class java.security.Permission

`checkGuard, getName, toString`

### Methods declared in class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### LinkPermission

public LinkPermission(String name)
Constructs a `LinkPermission` with the specified name.

Parameters:
  `name` - the name of the permission. It must be "hard" or "symbolic".
Throws:
  `IllegalArgumentException` - if name is empty or invalid

### LinkPermission

public LinkPermission(String name, String actions)
Constructs a `LinkPermission` with the specified name.

Parameters:
  `name` - the name of the permission; must be "hard" or "symbolic".
  `actions` - the actions for the permission; must be the empty string or `null`
Throws:
  `IllegalArgumentException` - if name is empty or invalid, or actions is a non-empty string